> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenlab.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# タスク取得（Volc 互換）

> cgt タスク ID で Seedance 互換タスクを取得します。

## 概要

これらのエンドポイントは、Volc 形式の Seedance タスク構造をすでに利用しているチーム向けです。認証には TokenLab Bearer API Key を使います。返されるタスク ID は `cgt-` で始まります。`status` が `succeeded`、`failed`、`cancelled`、`expired` のいずれかになるまでポーリングしてください。

関連項目 [Seedance 2.0 動画モデル](/ja/guides/seedance-2-video) および [動画生成](/ja/guides/video-generation).

## 応答形式

タスク状態は `queued`、`running`、`succeeded`、`failed`、`cancelled`、`expired` です。成功したタスクは `content.video_url` を返します。利用可能な場合は `content.last_frame_url`、`return_last_frame` や `watermark` などのリクエスト値、`usage`、`progress` も返ります。失敗がない場合、`error` は `null` です。

## 例

```bash theme={null}
curl https://api.tokenlab.sh/api/v3/contents/generations/tasks/cgt-0123456789abcdef0123456789abcdef \
  -H "Authorization: Bearer $TOKENLAB_API_KEY"
```
